<?php

namespace App\Http\Controllers;
use App\Models\Categories;
use App\Mail\order_confirmation;
use Illuminate\Support\Facades\Mail;
use App\Models\ProductImages;
use App\Models\Products;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\DB;
use Session;



class WebsiteController extends Controller
{
    public function home()
    {

        $categories = Categories::orderBy('id', 'desc')->where('cat_type','shop')->get();

        $cat_ids = Categories::orderBy('id', 'desc')->where('cat_type','shop')->pluck('id');
        

        $allproduct = Products::orderBy('id', 'desc')->whereIn('categoryid',$cat_ids)->get();


        return view("website.home", compact('categories','allproduct'));
    }


    public function aboutus()
    {
        return view("foodapp.aboutus");
    }

    public function search_product(Request $request)
    {
        $searched_val=$request->search_val;
        $id=$request->cat_id;

        if ($searched_val!=null){         
    $categories = Categories::withCount('products')->orderBy('id', 'desc')->where('cat_type','food')->get();
    $allproduct = Products::orderBy('id', 'desc')->where('categoryid',$id)->where('name', 'like', '%' . $request->search_val . '%')->get();
    }else{
        $categories = Categories::withCount('products')->orderBy('id', 'desc')->where('cat_type','food')->get();
    $allproduct = Products::orderBy('id', 'desc')->where('categoryid',$id)->get();
    }
    return view("foodapp.viewfood", compact('categories','allproduct','id','searched_val'));
    }
    public function mainsite()
    {
        return view("foodapp.mainsite");
    }
    public function about()
    {
        return view("website.about");
    }

    public function submit_query(Request $request)
    {
        DB::table('contactus')->insert(
       array(
            'name'     =>   $request->name, 
            'email'   =>   $request->email,
            'subject'   =>   $request->subject,
            'message'   =>   $request->message,
     )
);

     return redirect()->route('catagory')->with('success', 'Query Submit to admin Successfully !');


    }

    public function add_review(Request $request)
    {


        $data_session=Session::get('userdatalogin');


        if (!isset(($data_session))) {
            return back()->with('error', 'Please Login/Signup First!!');
        }

        foreach ($request->product_id as $value) {


        DB::table('reviews')->insert(
       array(
            'comment'     =>   $request->comment, 
            'user_id'   =>   $data_session->id,
            'rating'   =>   $request->rating,
            'product_id'  => $value,
     )
);

        }

            return redirect()->route('catagory')->with('success', 'review added Successfully!!');
    }

    public function contactus()
    {
        return view("foodapp.contactus");
    }

    public function contact()
    {
        return view("website.contact");
    }
    public function login()
    {
        return view("website.login");
    }
    public function signup()
    {
        return view("website.signup");
    }
    public function forgot()
    {
        return view("website.forgot");
    }
    public function terms()
    {
        return view("website.terms");
    }
    public function privacy()
    {
        return view("website.privacy");
    }
    public function blog()
    {
        return view("website.blog");
    }
    public function blogdetails()
    {
        return view("website.blogdetails");
    }
    public function shop()
    {
        $categories = Categories::withCount('products')->orderBy('id', 'desc')->where('cat_type','shop')->get();

        $cat_ids = Categories::orderBy('id', 'desc')->where('cat_type','shop')->pluck('id');
        

        $allproduct = Products::orderBy('id', 'desc')->whereIn('categoryid',$cat_ids)->get();


        return view("website.shop", compact('categories','allproduct'));
    }

    public function food()
    {
        $categories = Categories::withCount('products')->orderBy('id', 'desc')->where('cat_type','food')->get();

        $cat_ids = Categories::orderBy('id', 'desc')->where('cat_type','food')->pluck('id');
        

        $allproduct = Products::orderBy('id', 'desc')->whereIn('categoryid',$cat_ids)->get();



        return view("website.food", compact('categories','allproduct'));
    }

    public function catagory()
    {


        $categories = Categories::withCount('products')->orderBy('id', 'desc')->where('cat_type','food')->get();

        $cat_ids = Categories::orderBy('id', 'desc')->where('cat_type','food')->pluck('id');
        
        $allproduct = Products::orderBy('id', 'desc')->whereIn('categoryid',$cat_ids)->get();




        return view("foodapp.catagory", compact('categories','allproduct'));
    }

    public function viewfood($id)
    {

    $categories = Categories::withCount('products')->orderBy('id', 'desc')->where('cat_type','food')->get();
    $allproduct = Products::orderBy('id', 'desc')->where('categoryid',$id)->get();

    foreach ($allproduct as $key => $value) {
        $value->reviews=DB::table('reviews')->where('product_id',$value->id)->get();
        $review_sum=DB::table('reviews')->where('product_id',$value->id)->sum('rating');
        $review_count=DB::table('reviews')->where('product_id',$value->id)->count();
        if($review_count>0)
        {
            $value->rating=$review_sum/$review_count;
        }
        else
        {
            $value->rating=0;
        }
    }

    

    
 
    return view("foodapp.viewfood", compact('categories','allproduct','id'));

    }

    public function shop_cat($id)
    {
        $categories = Categories::withCount('products')->orderBy('id', 'desc')->where('cat_type','shop')->get();
        

        $allproduct = Products::orderBy('id', 'desc')->where('categoryid',$id)->get();


        return view("website.shop", compact('categories','allproduct'));
    }
    public function add_to_cart(Request $request)
    {
        
        $data_session=Session::get('userdatalogin');

        $ct_id=$request->ct_id;


        if (!isset(($data_session))) {
            return redirect()->route('viewfood',$ct_id)->with('success', 'Please Login/Signup First!!');
        }
                                         
        $validator = Validator::make($request->all(), [
            'size' => 'required',
            'color' => 'required',
            'quantity' => 'required'
        ]);
        if ($validator->fails()) {
            return redirect()->route('viewfood',$ct_id)->with('error', 'All Fields Required.');
        }

        $count=DB::table('cart')->where('productid',$request->product_id)->where('sessionid',$data_session->id)->count();

        if ($count>0) {
            return redirect()->route('viewfood',$ct_id)->with('error', 'Already Added');
        }


        DB::table('cart')->insert(
       array(
            'sessionid'     =>   $data_session->id, 
            'productid'   =>   $request->product_id,
            'quantity'   =>   $request->quantity,
            'size'   =>   $request->size,
            'color'   =>   $request->color
     )
);

        $count=DB::table('cart')
        ->join('products', 'products.id', '=', 'cart.productid')
        ->where('sessionid',$data_session->id)->count();



        Session::put('products_count', $count);


        

        
        return redirect()->route('viewfood',$ct_id)->with('success', 'Added to cart Successfully!!');
    }
    public function addusers(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'name' => 'required',
            'phone' => 'required',
            'email' => 'required',
            'password' => 'required'
        ]);
        if ($validator->fails()) {
            return back()->with('error', 'All Fields Required.');
        }

        $count=DB::table('website_users')->where('email',$request->email)->count();


        if ($count>0) {
            return back()->with('error', 'Email Already Exit!!');
        }

        $count=DB::table('website_users')->where('phone',$request->phone)->count();

        if ($count>0) {
            return back()->with('error', 'Phone Already Exit!!');
        }

        DB::table('website_users')->insert(
       array(
            'name'     =>   $request->name,
            'phone'   =>   $request->phone,
            'email'   =>   $request->email,
            'password'   =>   $request->password

        )
);
        return back()->with('success', 'Sighn up Successfully!!');
    }

    public function validateuser(Request $request)
    {

        $data=DB::table('website_users')->where('email',$request->email)->where('password',$request->password)->first();

        $count=DB::table('website_users')->where('email',$request->email)->where('password',$request->password)->count();

        if ($count>0) {
            Session::put('userdatalogin', $data);


            $data_session=Session::get('userdatalogin');


            $p_count=DB::table('cart')
        ->join('products', 'products.id', '=', 'cart.productid')
        ->where('sessionid',$data_session->id)->count();

            Session::put('products_count', $p_count);

        return redirect()->route('catagory')->with('success', 'Logged In Successfully!! !');
        }else{
            return back()->with('error', 'credentials Not Matched!!');
        }

    }
    public function food_cat($id)
    {
        $categories = Categories::withCount('products')->orderBy('id', 'desc')->where('cat_type','food')->get();
        

        $allproduct = Products::orderBy('id', 'desc')->where('categoryid',$id)->get();


        return view("website.food", compact('categories','allproduct'));
    }

   
    public function productdetail($id)
    {
        $reviews=DB::table('reviews')->where('product_id',$id)
        ->join('website_users', 'website_users.id', '=', 'reviews.user_id')
        ->get();

        $product = Products::orderBy('id', 'desc')->where('id',$id)->first();
        $productimage = ProductImages::orderBy('id', 'desc')->where('productid',$id)->get();
        
        return view("website.productdetail",compact('product','productimage','id','reviews'));
    }

    public function delete_cart($id)
    {
        $data_session=Session::get('userdatalogin');
        DB::table('cart')
        ->where('sessionid',$data_session->id)->where('productid',$id)->delete();

        $count=DB::table('cart')
        ->join('products', 'products.id', '=', 'cart.productid')
        ->where('sessionid',$data_session->id)->count();



        Session::put('products_count', $count);
        
        return back()->with('success', 'Deleted Successfully Successfully!!');


    }
      public function logout()
    {
            Session::flush();


                    return back()->with('success', 'Logged Out!!');


    }

    public function update_quantity(Request $request)
    {
       $data_session=Session::get('userdatalogin');

        DB::table('cart')->where('sessionid',$data_session->id)->where('productid',$request->p_id)->update(array('quantity' => $request->quantity));

        return true;
    }

    public function food_cart()
    {
        $data_session=Session::get('userdatalogin');

        if (!isset(($data_session))) {
            return back()->with('success', 'Please Login/Signup First!!');
        }

        $addedproducts=DB::table('cart')
        ->join('products', 'products.id', '=', 'cart.productid')
        ->where('sessionid',$data_session->id)->get();

        $session_id=$data_session->id;


        return view("foodapp.food_cart",compact('addedproducts','session_id'));
    }

    public function cart()
    {
        $data_session=Session::get('userdatalogin');

        if (!isset(($data_session))) {
            return back()->with('success', 'Please Login/Signup First!!');
        }

        $addedproducts=DB::table('cart')
        ->join('products', 'products.id', '=', 'cart.productid')
        ->where('sessionid',$data_session->id)->get();


        return view("website.cart",compact('addedproducts'));
    }
    public function checkout_proceed(Request $request)
    {

        $validator = Validator::make($request->all(), [
            'name' => 'required',
            'phone' => 'required',
            'email' => 'required',
            'address' => 'required',
            'paymentmethod' => 'required'
        ]);
        if ($validator->fails()) {
            return back()->with('error', 'All Fields Required.');
        }

        $products=DB::table('cart')->join('products', 'products.id', '=', 'cart.productid')->select('productid','quantity','price','name')->where('sessionid',$request->session_id)->get();



        if(count($products)<1) {
            dd('Product if out of stock or deleted by admin!!');
        }


    //     $products_id=[];
    //     foreach ($products as $key => $value) {
    
    //     $products_id[]=$value->productid;

    // }

   $products_id= json_encode($products);






        $data = DB::table('orders')->insert(
       array(
            'user_id'     =>   $request->session_id,
            'name'     =>   $request->name,
            'phone'     =>   $request->phone,
            'email'     =>   $request->email,
            'address'     =>   $request->address,
            'paymentmethod'     =>   $request->paymentmethod,
            'products_id'     =>   $products_id,
            'subtotal'     =>   $request->price,

     )
);




        $maildata = DB::table('orders')->where('user_id',$request->session_id)->latest('id')->first();

        DB::table('cart')->where('sessionid',$request->session_id)->delete();

        $count=DB::table('cart')
        ->join('products', 'products.id', '=', 'cart.productid')
        ->where('sessionid',$request->id)->count();
        Session::put('products_count', $count);

            return redirect()->route('food_cart')->with('success', 'order placed successfully.');


       // $check = Mail::to("info@amazonflair.com")->send(new order_confirmation($maildata));
       // $check = Mail::to($request->email)->send(new order_confirmation($maildata));
       //  if ($check) {

       //      DB::table('cart')->where('sessionid',$request->session_id)->delete();

       //  $count=DB::table('cart')
       //  ->join('products', 'products.id', '=', 'cart.productid')
       //  ->where('sessionid',$request->id)->count();
       //  Session::put('products_count', $count);

       //      return redirect()->back()->with('success', 'Successfully Submitted.');
       //  } else {
       //      dd("not sent");
       //      return redirect()->back()->with('error', 'Error Occur');
       //  }

    }
    public function checkout()
    {
        $data_session=Session::get('userdatalogin');

        if (!isset(($data_session))) {
            return back()->with('success', 'Please Login/Signup First!!');
        }

        $addedproducts=DB::table('cart')
        ->join('products', 'products.id', '=', 'cart.productid')
        ->where('sessionid',$data_session->id)->get();

        $session_id=$data_session->id;

        return view("website.checkout",compact('addedproducts','session_id'));

    }
    public function favourite()
    {
        return view("website.favourite");
    }
    public function profile()
    {
        $data_session=Session::get('userdatalogin');

        $myorders = DB::table('orders')->where('user_id',$data_session->id)->get();

        return view("foodapp.profile",compact('myorders'));
    }
    // public function Food()
    // {
    //     return view("website.Food");
    // }
    
}
