@extends('admin.layout.master')

@section('title')
    Order
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Order</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Active Order</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Address</th>
                                    <th>Price</th>
                                    <th>Status</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($active_orders as $a=>$active_order)
                                    <tr>
                                        <td>{{ $a+1 }}</td>
                                        <td>{{ $active_order->name }} </td>
                                        <td>{{ $active_order->email }}</td>
                                        <td>{{ $active_order->phone }}</td>
                                        <td>{{ $active_order->address }}</td>
                                        <td>PKR {{ $active_order->subtotal }}</td>
                                        <td><a href="{{ route('admin.mark_as_complete',[$active_order->id]) }}"
                                               class="btn btn-warning">{{ $active_order->status }}</a></td>
                                        
                                    </tr>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <hr>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Completed Order</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table class="table MyTable">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Address</th>
                                    <th>Price</th>
                                    <th>Status</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($completed_orders as $c=>$completed_order)
                                    <tr>
                                        <td>{{ $c+1 }}</td>
                                        <td>{{ $completed_order->name }}</td>
                                        <td>{{ $completed_order->email }}</td>
                                        <td>{{ $completed_order->phone }}</td>
                                        <td>{{ $completed_order->address }}</td>
                                        <td>${{ $completed_order->subtotal }}</td>
                                        <td>
                                            <button class="btn btn-success"
                                                    disabled>{{ $completed_order->status }}</button>
                                        </td>
                                        
                                    </tr>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

    <script>
        $(".MyTable").DataTable();
    </script>

@endsection
