@extends('website.layout.master')

@section('title')

@endsection

@section('content')


        <!-- page-title -->
        <section class="page-title centred"> 
            <div class="pattern-layer" style="background-image:url(website/images/background/page-title.jpg);"></div>
            <div class="auto-container">
                <div class="content-box">
                    <h1>About Us</h1>
                    <ul class="bread-crumb clearfix">
                        <li><i class="flaticon-home-1"></i><a href="{{route('home')}}">Home</a></li>
                        <li>About Us</li>
                    </ul>
                </div>
            </div>
        </section>
        <!-- page-title end -->


        <!-- about-section -->
        <section class="about-section">
            <div class="auto-container">
                <div class="row align-items-center clearfix">
                    <div class="col-lg-4 col-md-6 col-sm-12 text-column">
                        <div class="text-inner">
                            <h2>Simple <br /><span>&</span> Minimalistic</h2>
                            <h3>Secure Checkout</h3>
                            <p>Shopping with us is easy and safe. Our checkout process is simple and straightforward, and we keep your information secure so you can shop with confidence.</p>
                            <a href="{{route('contact')}}" class="theme-btn-one">Contact Us<i class="flaticon-right-1"></i></a>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6 col-sm-12 image-column">
                        <figure class="image-box"><img src="{{ URL::asset('website/images/resource/aboutbg.jpg')}}" alt=""></figure>
                    </div>
                    <div class="col-lg-4 col-md-6 col-sm-12 text-column">
                        <div class="text-inner">
                            <div class="box">
                                <h4>AmazonFlair</h4>
                                <p>Welcome to AmazonFlair, your one-stop destination for all your fashion needs. We believe that everyone deserves to express themselves through their style, which is why we offer an extensive range of clothing, accessories, shoes, and more for men, women, and kids.</p>
                            </div>
                            <div class="box">
                                <h4>Our Mission</h4>
                                <p>Our mission is to provide you with the latest trends, exceptional quality, and unbeatable value, all conveniently delivered right to your doorstep.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- about-section end -->


        <!-- chooseus-section -->
        <section class="chooseus-section">
            <div class="outer-container clearfix">
                <div class="content-column">
                    <div class="inner-column">
                        <div class="content-box">
                            <div class="sec-title style-two">
                                <h2>Top Category</h2>
                                <p>There are some product that we featured for choose your best</p>
                                <span class="separator" style="background-image: url(website/images/icons/separator-3.png);"></span>
                            </div>
                            <div class="inner-box">
                                <div class="row clearfix">
                                    <div class="col-lg-6 col-md-6 col-sm-12 single-column">
                                        <div class="single-item wow fadeInLeft animated animated" data-wow-delay="00ms" data-wow-duration="1500ms">
                                            <div class="icon-box"><i class="flaticon-truck"></i></div>
                                            <h3>Free Shipping</h3>
                                            <p>Free shipping on order over $50</p>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-12 single-column">
                                        <div class="single-item wow fadeInRight animated animated" data-wow-delay="00ms" data-wow-duration="1500ms">
                                            <div class="icon-box"><i class="flaticon-24-7"></i></div>
                                            <h3>Support 24/7</h3>
                                            <p>Contact us 24 hours a day, 7 days a week</p>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-12 single-column">
                                        <div class="single-item wow fadeInLeft animated animated" data-wow-delay="00ms" data-wow-duration="1500ms">
                                            <div class="icon-box"><i class="flaticon-credit-card"></i></div>
                                            <h3>Secure Payment</h3>
                                            <p>We ensure secure payment with PEV</p>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-12 single-column">
                                        <div class="single-item wow fadeInRight animated animated" data-wow-delay="00ms" data-wow-duration="1500ms">
                                            <div class="icon-box"><i class="flaticon-undo"></i></div>
                                            <h3>30 Days Return</h3>
                                            <p>Simply return it within 30 days for an exchange.</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="image-column" style="background-image: url(website/images/background/chooseus-bg-1.jpg);"></div>
            </div>
        </section>
        <!-- chooseus-section end -->


                <!-- instagram-section -->
                <section class="instagram-section">
            <div class="outer-container">
                <div class="sec-title">
                    <h2>Follow Us On Instagram</h2>
                    <p>Stay Connected: Join Our Fashion Community on Instagram</p>
                    <span class="separator" style="background-image: url(website/images/icons/separator-1.png);"></span>
                </div>
                <div class="six-item-carousel owl-carousel owl-theme owl-dots-none owl-nav-none">
                    <figure class="image-box">
                        <img src="{{ URL::asset('website/images/resource/instagram-1.jpg')}} " alt="">
                        
                    </figure>
                    <figure class="image-box">
                        <img src="{{ URL::asset('website/images/resource/instagram-2.jpg')}}" alt="">
                        
                    </figure>
                    <figure class="image-box">
                        <img src="{{ URL::asset('website/images/resource/instagram-3.jpg')}}" alt="">
                        
                    </figure>
                    <figure class="image-box">
                        <img src="{{ URL::asset('website/images/resource/instagram-4.jpg')}}" alt="">
                        
                    </figure>
                    <figure class="image-box">
                        <img src="{{ URL::asset('website/images/resource/instagram-5.jpg')}}" alt="">
                        
                    </figure>
                    <figure class="image-box">
                        <img src="{{ URL::asset('website/images/resource/instagram-6.jpg')}}" alt="">
                        
                    </figure>
                </div>
            </div>
        </section>
        <!-- instagram-section end -->


@endsection

@section('script')
<script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>
<script>
    function test()
    {
        alert();
    }
   
</script>
@endsection