<!DOCTYPE html>
<html lang="en">

<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">

<title>Foodie Food</title>

<!-- Fav Icon -->
<link rel="icon" href="{{ URL::asset('website/images/favicon.png')}}" type="image/x-icon">

<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700&amp;display=swap" rel="stylesheet">
<link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&amp;display=swap" rel="stylesheet">

<!-- Stylesheets -->
<link href="{{ URL::asset('website/css/font-awesome-all.css')}}" rel="stylesheet">
<link href="{{ URL::asset('website/css/flaticon.css') }}" rel="stylesheet">
<link href="{{ URL::asset('website/css/owl.css') }}" rel="stylesheet">
<link href="{{ URL::asset('website/css/bootstrap.css') }}" rel="stylesheet">
<link href="{{ URL::asset('website/css/jquery.fancybox.min.css') }}" rel="stylesheet">
<link href="{{ URL::asset('website/css/animate.css') }}" rel="stylesheet">
<link href="{{ URL::asset('website/css/color.css') }}" rel="stylesheet">
<link href="{{ URL::asset('website/css/nice-select.css') }}" rel="stylesheet">
<link href="{{ URL::asset('website/css/style.css') }}" rel="stylesheet">
<link href="{{ URL::asset('website/css/responsive.css') }}" rel="stylesheet">

</head>


<!-- page wrapper -->
<body>

    <div class="boxed_wrapper">
        <!-- Preloader -->
        <div class="loader-wrap">
            <div class="preloader"><div class="preloader-close">Preloader Close</div></div>
            <div class="layer layer-one"><span class="overlay"></span></div>
            <div class="layer layer-two"><span class="overlay"></span></div>        
            <div class="layer layer-three"><span class="overlay"></span></div>        
        </div>


        <!-- search-popup -->
        <div id="search-popup" class="search-popup">
            <div class="close-search"><i class="flaticon-close"></i></div>
            <div class="popup-inner">
                <div class="overlay-layer"></div>
                <div class="search-form">
                    <form method="post" action="">
                        <div class="form-group">
                            <fieldset>
                                <input type="search" class="form-control" name="search-input" value="" placeholder="Search Here" required >
                                <input type="submit" value="Search Now!" class="theme-btn style-four">
                            </fieldset>
                        </div>
                    </form>
                    <h3>Recent Search Keywords</h3>
                   
                </div>
            </div>
        </div>
        <!-- search-popup end -->


        <!-- main header -->
        <header class="main-header">
            <div class="header-top">
                <div class="auto-container">
                    <div class="top-inner clearfix">
                        <div class="top-left pull-left">
                            <ul class="info clearfix">
                                <li><i class="flaticon-email"></i><a href="mailto:support@example.com">info@foodiefood.com</a></li>
                                <li><i class="flaticon-global"></i> Rojas iela 36-11 Liepaja LV-3406</li>
                            </ul>
                        </div>
                        <div class="top-right pull-right">
                            <ul class="social-links clearfix">
                                <li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a href="#"><i class="fab fa-twitter"></i></a></li>
                                <li><a href="#"><i class="fab fa-vimeo-v"></i></a></li>
                                <li><a href="#"><i class="fab fa-google-plus-g"></i></a></li>
                            </ul>
                            <div class="language">
                                <div class="lang-btn">
                                    <span class="flag"><img src="{{ URL::asset('website/images/icons/icon-lang.png')}}" alt="" title="English"></span>
                                    <span class="txt">English</span>
                                    <span class="arrow fa fa-angle-down"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="header-lower">
                <div class="auto-container">
                    <div class="outer-box">
                        <figure class="logo-box"><a href="{{route('home')}}"><img src="{{ URL::asset('website/images/logo.png')}}" alt=""></a></figure>
                        <div class="menu-area">
                            <!--Mobile Navigation Toggler-->
                            <div class="mobile-nav-toggler">
                                <i class="icon-bar"></i>
                                <i class="icon-bar"></i>
                                <i class="icon-bar"></i>
                            </div>
                            <nav class="main-menu navbar-expand-md navbar-light">
                                <div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">
                                    <ul class="navigation clearfix">
                                        <li><a href="{{route('home')}}">Home</a></li>
                                        <li ><a href="{{route('food')}}">Menu</a></li>
                                        <li ><a href="{{route('about')}}">About</a></li>    
                                        <li ><a href="{{route('blog')}}">Blog</a></li> 
                                        <li><a href="{{route('contact')}}">Contact</a></li> 

                                        <?php
                                        $data_session=Session::get('userdatalogin');
                                         ?>

                                        @if(isset($data_session))
                                        <li class="dropdown"><a href="">{{ $data_session->name }}</a>
                                        <ul>
                                                <li><a href="{{route('profile')}}">My Account</a></li>
                                                <li><a href="{{route('logout')}}">Logout</a></li>
                                                
                                            </ul>
                                        </li>     
                                        @endif           
                                    </ul>
                                </div>
                            </nav>
                        </div>
                        <ul class="menu-right-content clearfix">
                            <li>
                                <div class="search-btn">
                                    <button type="button" class="search-toggler"><i class="flaticon-search"></i></button>
                                </div>
                            </li>
                            <li><a href="{{route('favourite')}}"><i class="flaticon-like"></i></a></li>
                            <li><a href="{{route('login')}}"><i class="flaticon-user"></i></a></li>
                            <li class="shop-cart">
                                <a href="{{route('cart')}}"><i class="flaticon-shopping-cart-1"></i><span><?php echo Session::get('products_count'); ?></span></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>

            <!--sticky Header-->
            <div class="sticky-header">
                <div class="auto-container">
                    <div class="outer-box clearfix">
                        <div class="logo-box pull-left">
                            <figure class="logo"><a href="#"><img src="{{ URL::asset('website/images/small-logo.png')}}" alt=""></a></figure>
                        </div>
                        <div class="menu-area pull-right">
                            <nav class="main-menu clearfix">
                                <!--Keep This Empty / Menu will come through Javascript-->
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <!-- main-header end -->

        <!-- Mobile Menu  -->
        <div class="mobile-menu">
            <div class="menu-backdrop"></div>
            <div class="close-btn"><i class="fas fa-times"></i></div>
            <nav class="menu-box">
                <div class="nav-logo"><a href="#"><img src="{{ URL::asset('website/images/footer-logo-2.png')}}" alt="" title=""></a></div>
                <div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
                <div class="contact-info">
                    <h4>Contact Info</h4>
                    <ul>
                        <li>Chicago 12, Melborne City, USA</li>
                        <li><a href="tel:+8801682648101">+88 01682648101</a></li>
                        <li><a href="mailto:info@example.com">info@foodiefood.com</a></li>
                    </ul>
                </div>
                <div class="social-links">
                    <ul class="clearfix">
                        <li><a href="#"><span class="fab fa-twitter"></span></a></li>
                        <li><a href="#"><span class="fab fa-facebook-square"></span></a></li>
                        <li><a href="#"><span class="fab fa-pinterest-p"></span></a></li>
                        <li><a href="#"><span class="fab fa-instagram"></span></a></li>
                        <li><a href="#"><span class="fab fa-youtube"></span></a></li>
                    </ul>
                </div>
            </nav>
        </div><!-- End Mobile Menu -->