<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> Login and Signup</title>
        <link rel="stylesheet" href="{{ url('foodapp/css/login.css') }}">
</head>
<body>
    <div class="container">
        <div class="form-container">
            <div class="form login-form">
                <h2>Log in</h2>
                <form method="POST" action="{{ route('validateuser') }}" enctype="multipart/form-data"  >

                                @csrf
                    <div class="input-group">
                        <label for="login-email">Email</label>
                        <input type="email" name="email" id="login-email" required>
                    </div>
                    <div class="input-group">
                        <label for="login-password">Password</label>
                        <input type="password" name="password" id="login-password" required>
                    </div>
                    <div class="input-group">
                        <input type="checkbox" id="keep-logged-in">
                        <label for="keep-logged-in">Keep me logged in</label>
                    </div>
                    <button type="submit" class="btn">Log in</button>
                    <a href="#" class="forgot-password">Forgot password?</a>
                    <p class="toggle-form">Don't have an account? <span id="show-signup">Sign up</span></p>
                </form>
            </div>
            <div class="form signup-form">
                <h2>Sign up</h2>
                <form method="POST" action="{{ route('addusers') }}" enctype="multipart/form-data"  class="default-form" oninput='password2.setCustomValidity(password2.value != password.value ? "Password and confirm Password do not match." : "")'>

                            @csrf
                  <div class="input-group">
                    <label for="signup-email">Name</label>
                    <input type="text" name="name" id="signup-email" required>
                </div> <div class="input-group">
                        <label for="signup-email">Phone</label>
                        <input type="text" name="phone" id="signup-email" required>
                    </div>
                    <div class="input-group">
                        <label for="signup-email">Email</label>
                        <input type="email" name="email" id="signup-email" required>
                    </div>
                    <div class="input-group">
                        <label for="signup-password">Password</label>
                        <input type="password" name="password" id="signup-password" required>
                    </div>
                    <div class="input-group">
                      <label for="signup-email">Confirm Password</label>
                      <input type="password" password="password2" id="signup-email" required>
                  </div>
                    <button type="submit" class="btn">Sign up</button>
                    <p class="toggle-form">Already have an account? <span id="show-login">Log in</span></p>
                </form>
            </div>
        </div>
        <div class="info-container">
            <h1>Foodie Food</h1>
            <ul>
                <li><a href="{{ route('/') }}">Home</a></li>
                <li><a href="about.html">About</a></li>
            </ul>
        </div>
    </div>
    <script src="{{ url('foodapp/js/login.js') }}"></script>
</body>
</html>

@yield('script')
@include('website.layout.errors')
