<?php

use Illuminate\Support\Facades\Route;


Route::get('/clear', function () {

    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    Artisan::call('route:clear');

    return "Cleared!";

});

Route::post('/submit_query', [App\Http\Controllers\WebsiteController::class, 'submit_query'])->name('submit_query');

Route::post('/update_quantity', [App\Http\Controllers\WebsiteController::class, 'update_quantity'])->name('update_quantity');
Route::get('logout', [App\Http\Controllers\WebsiteController::class, 'logout'])->name('logout');

Route::post('/checkout_proceed', [App\Http\Controllers\WebsiteController::class, 'checkout_proceed'])->name('checkout_proceed');

Route::post('/add_review', [App\Http\Controllers\WebsiteController::class, 'add_review'])->name('add_review');

Route::post('search_product', [App\Http\Controllers\WebsiteController::class, 'search_product'])->name('search_product');





Route::get('/', [App\Http\Controllers\WebsiteController::class, 'mainsite'])->name('/');
Route::get('mainsite', [App\Http\Controllers\WebsiteController::class, 'mainsite'])->name('mainsite');

Route::get('home', [App\Http\Controllers\WebsiteController::class, 'home'])->name('home');
Route::get('about', [App\Http\Controllers\WebsiteController::class, 'about'])->name('about');
Route::get('contact', [App\Http\Controllers\WebsiteController::class, 'contact'])->name('contact');
Route::get('login', [App\Http\Controllers\WebsiteController::class, 'login'])->name('login');
Route::get('signup', [App\Http\Controllers\WebsiteController::class, 'signup'])->name('signup');
Route::post('/addusers', [App\Http\Controllers\WebsiteController::class, 'addusers'])->name('addusers');
Route::post('/validateuser', [App\Http\Controllers\WebsiteController::class, 'validateuser'])->name('validateuser');
Route::get('forgot', [App\Http\Controllers\WebsiteController::class, 'forgot'])->name('forgot');
Route::get('privacy', [App\Http\Controllers\WebsiteController::class, 'privacy'])->name('privacy');
Route::get('terms', [App\Http\Controllers\WebsiteController::class, 'terms'])->name('terms');
Route::get('blog', [App\Http\Controllers\WebsiteController::class, 'blog'])->name('blog');
Route::get('blogdetails', [App\Http\Controllers\WebsiteController::class, 'blogdetails'])->name('blogdetails');
Route::get('shop', [App\Http\Controllers\WebsiteController::class, 'shop'])->name('shop');
Route::get('shop_cat/{id}', [App\Http\Controllers\WebsiteController::class, 'shop_cat'])->name('shop_cat');
Route::get('food_cat/{id}', [App\Http\Controllers\WebsiteController::class, 'food_cat'])->name('food_cat');

Route::get('productdetail/{id}', [App\Http\Controllers\WebsiteController::class, 'productdetail'])->name('productdetail');
Route::get('cart', [App\Http\Controllers\WebsiteController::class, 'cart'])->name('cart');
Route::get('food_cart', [App\Http\Controllers\WebsiteController::class, 'food_cart'])->name('food_cart');

Route::get('delete_cart/{id}', [App\Http\Controllers\WebsiteController::class, 'delete_cart'])->name('delete_cart');

Route::get('checkout', [App\Http\Controllers\WebsiteController::class, 'checkout'])->name('checkout');
Route::get('favourite', [App\Http\Controllers\WebsiteController::class, 'favourite'])->name('favourite');
Route::get('profile', [App\Http\Controllers\WebsiteController::class, 'profile'])->name('profile');
Route::get('food', [App\Http\Controllers\WebsiteController::class, 'food'])->name('food');
Route::get('catagory', [App\Http\Controllers\WebsiteController::class, 'catagory'])->name('catagory');
Route::get('aboutus', [App\Http\Controllers\WebsiteController::class, 'aboutus'])->name('aboutus');
Route::get('contactus', [App\Http\Controllers\WebsiteController::class, 'contactus'])->name('contactus');


Route::get('myorders', [App\Http\Controllers\WebsiteController::class, 'profile'])->name('myorders');

Route::get('viewfood/{id}', [App\Http\Controllers\WebsiteController::class, 'viewfood'])->name('viewfood');

Route::post('/add_to_cart', [App\Http\Controllers\WebsiteController::class, 'add_to_cart'])->name('add_to_cart');




Route::name('admin.')->prefix('admin')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

//    without login
    Route::match(['get', 'post'], '/login', [App\Http\Controllers\LoginController::class, 'adminLogin'])->name('login');

    Route::middleware(['admin-auth', 'user-access:admin'])->group(function () {

//    After Login
        Route::get('/', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('/');
        Route::get('/dashboard', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('dashboard');
        Route::get('/home', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('home');
        Route::post('/logout', [App\Http\Controllers\LoginController::class, 'logout'])->name('logout');

        // Admin Profile
        Route::get('/AdminProfile', [App\Http\Controllers\AdminHomeController::class, 'AdminProfile'])->name('AdminProfile');
        Route::post('/updateprofile', [App\Http\Controllers\AdminHomeController::class, 'updateprofile'])->name('updateprofile');

        // Application Setting
        Route::get('/setting', [App\Http\Controllers\SettingController::class, 'setting'])->name('setting');
        Route::post('/updatesetting', [App\Http\Controllers\SettingController::class, 'updatesetting'])->name('updatesetting');

        // Categories
        Route::get('/Categories', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'categories'])->name('categories');
        Route::post('/savecategories', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'savecategories'])->name('savecategories');
        Route::post('/updatecategory', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'updatecategory'])->name('updatecategory');
        Route::get('/deletecategory/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'deletecategory'])->name('deletecategory');

        // products
        Route::get('/Products+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'products'])->name('products');
        Route::get('/Add+Products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'add_products'])->name('add_products');
        Route::post('/save_products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'save_products'])->name('save_products');
        Route::post('/update_products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'update_products'])->name('update_products');
        Route::get('/delete_product/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_product'])->name('delete_product');
        Route::get('/Edit+product/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_product'])->name('edit_product');
        Route::get('/Edit+product+Images/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_product_images'])->name('edit_product_images');
        Route::post('/save_product_image', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'save_product_image'])->name('save_product_image');
        Route::get('/delete_product_image/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_product_image'])->name('delete_product_image');

         // food
         Route::get('/food+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'food'])->name('food');

        // orders
        Route::get('/Orders+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'orders'])->name('orders');
        Route::get('/mark_as_complete/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'mark_as_complete'])->name('mark_as_complete');
        Route::get('/Order+Detail/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'order_detail'])->name('order_detail');

        // contact_messages
        Route::get('/Contact+Messages', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'contact_messages'])->name('contact_messages');
        Route::get('/delete_contact_message/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_contact_message'])->name('delete_contact_message');


    });
});

?>